For Developers

List Invoice Snapshots

GET https://ed.link/api/v2/teams/:team_id/invoices/:invoice_id/snapshots

Returns billing snapshots attached to the invoice.

Permissions

Requires the invoices.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:invoice_idUUIDYesThe ID of the invoice.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/invoices/${invoice_id}/snapshots`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "84729102-1849-4712-9912-391820491820",
            "date": "2024-05-01T00:00:00.000Z",
            "integration_state": "active",
            "integration_id": "fd8e2612-1329-4d85-bb56-95dcb27d7c92"
        }
    ]
}